Authentication
The Marco API uses an authentication token auth_token for authentication. The auth_token must be included in the Authorization header for all API requests.
You can retrieve your auth_token from the POST /api/auth/login endpoint.
Retrieve auth_token
POST /api/auth/login
Retrieve your API auth_token using your Marco account email and password.
The auth_token is valid for only 30 days. Once the token expires, you will need to call this API endpoint again. The token can be stored in an environment variable, which can be used in all API requests.
Request
Body parameters
email string Required
Your Marco account email.
password string Required
Your Marco account password.
Example Requests
Example
curl -X POST 'https://api.marcopayroll.com/api:benKoCK8/api/auth/login' \
-H 'Content-Type: application/json' \
-d '{
"email": "YOUR_EMAIL",
"password": "YOUR_PASSWORD"
}'
Response (200)
auth_token string
Your Marco API authentication token.